MFC019 — Reparcelamento de Contas
Fonte
- Source:
source/MFC019/
Objetivo
O módulo MFC019 - Reparcelamento de Contas permite ao usuario consolidar uma ou mais contas financeiras (a receber ou a pagar) de uma mesma pessoa e gerar novas parcelas com condicoes de pagamento atualizadas. E uma ferramenta essencial para a renegociacao de dividas no sistema JunsoftERP.
O reparcelamento atende a necessidade de empresas que precisam renegociar prazos e valores com clientes ou fornecedores, permitindo selecionar documentos em aberto (totais ou parciais), aplicar juros de financiamento (por percentual ou valor fixo), conceder descontos sobre juros de mora, e gerar novas parcelas com datas de vencimento, formas de pagamento e valores redistribuidos.
O módulo e utilizado principalmente pelo setor financeiro (contas a receber e contas a pagar), sendo indicado para analistas financeiros, gerentes de cobranca e responsaveis pela negociacao de dividas. O acesso ao módulo requer a licenca erpFinReparcelamento.
Alem do reparcelamento propriamente dito, o módulo realiza calculos automaticos de juros capitalizados, juros de mora e descontos, grava historicos financeiros nas parcelas de destino, integra com o módulo contábil (quando configurado para integracao automatica), e pode gerar impressão de duplicatas apos a gravacao.
Funcionalidades
- Filtragem de Documentos para Reparcelamento
- Selecao de Documentos de Origem
- Opcao de Manter Numero de Documento Original
- Configuracao dos Dados do Reparcelamento
- Revisao e Confirmacao das Parcelas
- Gravacao do Reparcelamento
Mensagens exibidas
Levantadas de source/MFC019/ pela camada 0 (commit 96fc51e236).
| Código | Tipo | Mensagem |
|---|---|---|
| C-0048 | Confirmação | Deseja Salvar as Alterações Antes de Sair? |
Mais 74 mensagens com texto literal no código: MFC019.
Parâmetros lidos
Campos PARM* lidos via values[] em source/MFC019/ (commit 96fc51e236).
| Parâmetro | Tabela |
|---|---|
| CD_HISTREPARCELAMENTO | PARMFINANC |
| ST_CONTABILIZAJUROVENC | PARMFINANC |
| ST_REPARCELAEMPRESA | PARMFINANC |
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
| CONTASHISTORICO | INSERT, SELECT |
| DESTINOREPARCELAMENTO | INSERT |
| EMPRESA | DELETE, INSERT, SELECT, UPDATE |
| ORIGEMREPARCELAMENTO | INSERT |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
| ROMANEIOCONTAS | INSERT |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| BOLETO | SELECT |
| CONDPAGTO | SELECT |
| CONFIGNFSE | SELECT |
| CONTASBLOQFINANC | SELECT |
| CONTASJUNCAO | SELECT |
| FORMAPAGTO | SELECT |
| HISTORICO | SELECT |
| JURO | SELECT |
| MOVTOPROCESSO | SELECT |
| NFSE | SELECT |
| NOTA | SELECT |
| PARMCONTABIL | SELECT |
| PARMFINANC | SELECT |
| PROCESSO | SELECT |
| TIPOCONTA | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| CALCULA_JUROMORA | CONTAS (SELECT), CONTASHISTORICO (SELECT), CREDITO (SELECT), HISTORICO (SELECT), JURO (SELECT), MOVTOPROCESSO (SELECT) +3 |
| CONTROLE_CAIXA | CAIXA (SELECT), PARMFINANC (SELECT), PARMUSUARIO (SELECT) |
| GERA_INTEGRACAO | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONTAS (SELECT), CONTASCTB (DELETE/INSERT/SELECT) +53 |
| GERA_SEQUENCIA | SEQUENCIA (SELECT/UPDATE) |
| GRAVA_REPARCELAMENTO | REPARCELAMENTO (INSERT) |
| PARCELA_FINANCIAMENTO | CONDPAGTO (SELECT), CONDPARCELA (SELECT), JURO (SELECT), PARMFATUR (SELECT), PARMOFICINA (SELECT), SESSAO (SELECT) |
| PROCESSA_REPARCELAMENTO | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONTAS (SELECT/UPDATE), CONTASCTB (DELETE/INSERT/SELECT) +55 |
| RETORNA_ROMANEIOCONTA | CONTAS (SELECT), PEDIDONOTA (SELECT), ROMANEIOCONTAS (SELECT), ROMANEIONOTA (SELECT), ROMANEIOPEDIDO (SELECT) |
| VIEW_TIPOCONTASUSUARIO | PARMFINANC (SELECT), TIPOCONTARESTRITA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| AJUSTEFISCALITEMNOTA | DELETE, INSERT, SELECT |
| ALIQUOTA | SELECT |
| CAIXA | SELECT |
| CODRECEITA | SELECT |
| CONDPAGTO | SELECT |
| CONDPARCELA | SELECT |
| CONTAS | SELECT, UPDATE |
| CONTASCTB | DELETE, INSERT, SELECT |
| CONTASHISTORICO | INSERT, SELECT, UPDATE |
| CONTASHISTORICOCC | INSERT, SELECT |
| CONTASHISTORICOCTB | DELETE, INSERT, SELECT |
| CONTASPESSOA | INSERT, SELECT |
| CONTAS_MOVTOCONTABIL | SELECT |
| CREDITO | SELECT |
| CUPOMFISCAL | SELECT, UPDATE |
| DESTINOREPARCELAMENTO | SELECT |
| DEVOLUCAO | DELETE, SELECT |
| EMPRESA | SELECT |
| ENDERECOPESSOA | SELECT |
| FORMAPAGTO | SELECT |
| ... | +53 tabelas |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| MNF010 | Gerar Mensalidades | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |